org.h2.expression.analysis

## Enum WindowFrameUnits

- java.lang.Object
- - java.lang.Enum<WindowFrameUnits>
  - - org.h2.expression.analysis.WindowFrameUnits

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WindowFrameUnits>

    public enum WindowFrameUnits
    extends java.lang.Enum<WindowFrameUnits>

Window frame units.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GROUPS` GROUPS unit.
`RANGE` RANGE unit.
`ROWS` ROWS unit.

### Method Summary

Methods
`java.lang.String` `getSQL()` Returns SQL representation.
`static WindowFrameUnits` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WindowFrameUnits[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ROWS

    public static final WindowFrameUnits ROWS

ROWS unit.

#### RANGE

    public static final WindowFrameUnits RANGE

RANGE unit.

#### GROUPS

    public static final WindowFrameUnits GROUPS

GROUPS unit.

### Method Detail

#### values

    public static WindowFrameUnits[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WindowFrameUnits c : WindowFrameUnits.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WindowFrameUnits valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getSQL

    public java.lang.String getSQL()

Returns SQL representation.

Returns:
  SQL representation.
See Also:
  `Expression.getSQL(boolean)`